// pages/search/search.js
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
      index1:-1,
      index2: -1,
      index3: -1,      
      arr1:[],
      arr2: [],
      arr3: [],
      form:{
        name: '',
        zq: "",
        cw: "", 
        df:'',
        page_size:20
      },
      list:[],
      page:1,
      total:0,
      show:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id: options.id,
      match_id:options.match_id?options.match_id:null
    })
    $api.getEnumList().then(res=>{
      var zq = res.data.data.zq, cw = res.data.data.cw,
        df = res.data.data.df;
      zq.unshift('周期')
      cw.unshift('仓位')
      df.unshift('打法')
      this.setData({
        arr1:zq,
        arr2:cw,
        arr3:df
      })
    })
    this.getData(options.match_id?options.match_id:null);
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData(options.match_id?options.match_id:null)
    }
  },
  getData(match_id) {
    wx.showLoading({
      title: '正在加载',
    })
    var list = this.data.list
    var form=this.data.form;
    form.page = this.data.page;
    form.match_id = match_id;
    $api.getPlayerList(form).then(res => {
      wx.hideLoading()
      res.data.data.list.forEach(item => {
        list.push(item)
      })
      this.setData({
        list: list,
        total: res.data.data.total,
        show: 1
      })
    })
  },
  bindDateChange(e){
    var i = e.target.dataset.id, item = e.target.dataset.item;
    var form = this.data.form, val = e.detail.value;
    if(i == 1){
      if(val>0){
        form[item] = this.data.arr1[val]
      }else{
        form[item] = ''
      }
      
      this.setData({
        index1: val,
        form: form
      })
    }
    if (i == 2) {
      if (val > 0) {
        form[item] = this.data.arr2[val]
      } else {
        form[item] = ''
      }
      this.setData({
        index2: val,
        form: form
      })
    }
    if (i == 3) {
      if (val > 0) {
        form[item] = this.data.arr3[val]
      } else {
        form[item] = ''
      }
      this.setData({
        index3: val,
        form: form
      })
    }
    this.search()
    
  },
  inputChange(e){
    var form = this.data.form, val = e.detail.value;
    form.name=val;
    this.setData({
      form: form,     
    })
  },
  search(){
    this.setData({
      page: 1,
      total: 0,
      list:[],
      show:0
    })
    this.getData(this.data.match_id)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})